VERSION 5.00
Begin VB.Form frmSysTray 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "System Tray Icon Settings"
   ClientHeight    =   2715
   ClientLeft      =   150
   ClientTop       =   435
   ClientWidth     =   5085
   Icon            =   "Systray.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2715
   ScaleWidth      =   5085
   StartUpPosition =   3  'Windows Default
   Begin API_TrayIcon.TrayIcon TrayIcon 
      Left            =   4440
      Top             =   120
      _ExtentX        =   953
      _ExtentY        =   953
      ToolTip         =   "Tray Icon Sample"
      Visible         =   0   'False
   End
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "Systray.frx":27A2
      MousePointer    =   99  'Custom
      Picture         =   "Systray.frx":2BE4
      ScaleHeight     =   615
      ScaleWidth      =   5085
      TabIndex        =   10
      Top             =   0
      Width           =   5085
   End
   Begin VB.PictureBox picEventHere 
      ClipControls    =   0   'False
      FontTransparent =   0   'False
      Height          =   255
      Left            =   3240
      ScaleHeight     =   195
      ScaleWidth      =   1755
      TabIndex        =   9
      Top             =   1560
      Visible         =   0   'False
      Width           =   1815
   End
   Begin VB.CheckBox chkShowIcon 
      Caption         =   "Show Systray Icon"
      Height          =   255
      Left            =   3240
      TabIndex        =   7
      Top             =   1320
      Value           =   1  'Checked
      Width           =   1815
   End
   Begin VB.CommandButton cmdHide 
      Caption         =   "Hide Me"
      Height          =   375
      Left            =   3240
      TabIndex        =   6
      Top             =   840
      Width           =   1815
   End
   Begin VB.Frame fraDisplay 
      Caption         =   "Display"
      Height          =   1935
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   3015
      Begin VB.TextBox txtTooltip 
         Height          =   375
         Left            =   120
         MaxLength       =   63
         TabIndex        =   5
         Text            =   "Enjoy the power of the Windows API!"
         Top             =   1320
         Width           =   2775
      End
      Begin VB.OptionButton optIcon 
         Height          =   375
         Index           =   3
         Left            =   2400
         TabIndex        =   4
         Top             =   840
         Width           =   255
      End
      Begin VB.OptionButton optIcon 
         Height          =   375
         Index           =   2
         Left            =   1680
         TabIndex        =   3
         Top             =   840
         Width           =   255
      End
      Begin VB.OptionButton optIcon 
         Height          =   375
         Index           =   1
         Left            =   960
         TabIndex        =   2
         Top             =   840
         Width           =   255
      End
      Begin VB.OptionButton optIcon 
         Height          =   375
         Index           =   0
         Left            =   240
         TabIndex        =   1
         Top             =   840
         Value           =   -1  'True
         Width           =   255
      End
      Begin VB.Image imgIcon 
         Height          =   480
         Index           =   3
         Left            =   2280
         Picture         =   "Systray.frx":3C0D
         Top             =   360
         Width           =   480
      End
      Begin VB.Image imgIcon 
         Height          =   480
         Index           =   2
         Left            =   1560
         Picture         =   "Systray.frx":4057
         Top             =   360
         Width           =   480
      End
      Begin VB.Image imgIcon 
         Height          =   480
         Index           =   1
         Left            =   840
         Picture         =   "Systray.frx":44A1
         Top             =   360
         Width           =   480
      End
      Begin VB.Image imgIcon 
         Height          =   480
         Index           =   0
         Left            =   120
         Picture         =   "Systray.frx":48EB
         Top             =   360
         Width           =   480
      End
   End
   Begin VB.Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Select an icon, and type the tooltip text."
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   3240
      TabIndex        =   8
      Top             =   1920
      Width           =   1815
   End
   Begin VB.Menu mnuPopUp 
      Caption         =   "(Popup)"
      Visible         =   0   'False
      Begin VB.Menu mnuSettings 
         Caption         =   "Settings..."
      End
      Begin VB.Menu mnuClose 
         Caption         =   "Close"
      End
   End
End
Attribute VB_Name = "frmSysTray"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Tray Icon Dialog
'
' 30 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================


'------------------------------------------------------------------
' Initialize Tray Icon

Private Sub Form_Load()
  TrayIcon.ToolTip = txtTooltip.Text
  TrayIcon.Icon = imgIcon(OptSelected(optIcon)).Picture
  TrayIcon.Visible = True
  Me.Hide
  MsgBox "Check your systray!", vbExclamation, "Systray Icon"
End Sub


'------------------------------------------------------------------
' Unload or just hide?

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  If UnloadMode = vbFormControlMenu Then
    Cancel = True
    Me.Hide
  Else
    If chkShowIcon.Value Then TrayIcon.Visible = False
  End If
End Sub

Private Sub cmdHide_Click()
  If chkShowIcon.Value Then
    Me.Hide
  Else
    Unload Me
  End If
End Sub


'------------------------------------------------------------------
' Show a different icon/tooltip

Private Sub chkShowIcon_Click()
  If chkShowIcon.Value Then
    TrayIcon.ToolTip = txtTooltip.Text
    TrayIcon.Icon = imgIcon(OptSelected(optIcon)).Picture
    TrayIcon.Visible = True
    cmdHide.Caption = "Hide Me"
  Else
    TrayIcon.Visible = False
    cmdHide.Caption = "Close Me"
  End If
End Sub

Private Sub imgIcon_Click(Index As Integer)
  optIcon(Index).Value = True
End Sub

Private Sub optIcon_Click(Index As Integer)
  TrayIcon.Icon = imgIcon(Index).Picture
End Sub

Private Sub txtTooltip_Change()
  TrayIcon.ToolTip = txtTooltip.Text
End Sub

Private Function OptSelected(OptButtonArray As Object) As Integer
  Dim OptButton As OptionButton
  For Each OptButton In OptButtonArray
    If OptButton.Value Then OptSelected = OptButton.Index
  Next
End Function


'------------------------------------------------------------------
' Menu

Private Sub mnuClose_Click()
  Unload Me
End Sub

Private Sub mnuSettings_Click()
  Me.Show
End Sub


'------------------------------------------------------------------
' Events from tray icon control

Private Sub TrayIcon_LeftMouseDown()
  lblInfo.Caption = "Event: " & vbCrLf & "Left Button Down"
End Sub

Private Sub TrayIcon_LeftMouseUp()
  lblInfo.Caption = "Event: " & vbCrLf & "Left Button Up"
End Sub

Private Sub TrayIcon_LeftMouseDblClick()
  lblInfo.Caption = "Event: " & vbCrLf & "Left Button DblClick"
  Me.Show
End Sub

Private Sub TrayIcon_MouseMove()
  lblInfo.Caption = "Event: " & vbCrLf & "Mouse Move"
End Sub

Private Sub TrayIcon_RightMouseDown()
  lblInfo.Caption = "Event: " & vbCrLf & "Right Button Down"
End Sub

Private Sub TrayIcon_RightMouseUp()
  lblInfo.Caption = "Event: " & vbCrLf & "Right Button Up"
  Me.PopupMenu mnuPopUp, vbPopupMenuRightButton, , , mnuSettings
End Sub

Private Sub TrayIcon_RightMouseDblClick()
  lblInfo.Caption = "Event: " & vbCrLf & "Right Button DblClick"
End Sub


'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub


